/* ========================================
   DEVBLOG BUTTON COMPONENT
   ======================================== */

.devblog-button {
	padding-top: 2px;
	padding-bottom: 2px;
	padding-right: 15px;
	transition-duration: .2s;
  	transition-timing-function: ease;
	height: 250px;
	width: 100%;
	display: block;
}

.devblog-button:visited {
	text-decoration: none;
	color: white;
}

.devblog-button:active {
	text-decoration: none;
	color: white;
}

.devblog-button:link {
	text-decoration: none;
	color: white;
}

.devblog-button__container {
	text-decoration: none;
	color: white;
	background-color: #56657000;
	height: 100%;
	width: 100%;
	margin-bottom: 20px;
	display: flex;
	transition: background-color 0.5s;
}

@media (max-width: 600px) {
	.devblog-button__container {
		display: block;
	}
}

.devblog-button__container:hover {
	color: var(--main-bg-color);
    background-color: #799DB7;
}

.devblog-button img {
    height: 100%;
	width: 250px;
	object-fit: cover;
	align-self: flex-start;
	border: 5px solid white;
	margin-right: 30px;
	transition: height 0.6s, width 0.6s, border 0.6s;
}

.devblog-button:hover img, .devblog-button__container.img:hover {
    height: 100%;
	width: 300px;
	border: 3px solid white;
	transition: height 0.3s, width 0.3s, border 0.3s;
}

@media (max-width: 600px) {
	.devblog-button img {
		height: 60%;
		width: 100%;
		display: block;
	}

	.devblog-button:hover img, .devblog-button__container.img:hover {
		height: 70%;
		width: 100%;
	}
}

.devblog-button video {
    height: 100%;
	width: 250px;
	object-fit: cover;
	align-self: flex-start;
	border: 5px solid white;
	margin-right: 30px;
	transition: height 0.6s, width 0.6s, border 0.6s;
}

.devblog-button:hover video, .devblog-button__container.video:hover {
    height: 100%;
	width: 300px;
	border: 3px solid white;
	transition: height 0.3s, width 0.3s, border 0.3s;
}

@media (max-width: 600px) {
	.devblog-button video {
		height: 60%;
		width: 100%;
		display: block;
	}

	.devblog-button:hover video, .devblog-button__container.video:hover {
		height: 70%;
		width: 100%;
	}
}

.devblog-button div {

}

.devblog-button__title {
	clear: right;
	font-size: 28px;
	transition: font-size 0.3s, width 0.3s, border 0.3s;
}

.devblog-button:hover .devblog-button__title, .devblog-button__title:hover {
	font-size: 32px;
}

.devblog-button p {
	text-decoration: none;
	clear: right;
}

@media (max-width: 600px) {
	.devblog-button p {
		margin-bottom: 0px;
	}
}
